summaryrefslogtreecommitdiff
path: root/libraries
diff options
context:
space:
mode:
authorBrian Reichert <rignes@pobox.com>2010-05-11 20:00:50 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:50 +0200
commit5be09ec0efd3c9dc33f8ba32fb763865aa0deebc (patch)
tree3b8f1bd2c5ff0b606701bd9d03cdf2f60c04fdb3 /libraries
parent53267b060a5bfab88b700e43be194d087857bf8b (diff)
downloadslackbuilds-5be09ec0efd3c9dc33f8ba32fb763865aa0deebc.tar.gz
libraries/libcdio: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libcdio/README29
-rw-r--r--libraries/libcdio/libcdio.SlackBuild88
-rw-r--r--libraries/libcdio/libcdio.info8
-rw-r--r--libraries/libcdio/slack-desc21
4 files changed, 146 insertions, 0 deletions
diff --git a/libraries/libcdio/README b/libraries/libcdio/README
new file mode 100644
index 0000000000..8f4c6c9884
--- /dev/null
+++ b/libraries/libcdio/README
@@ -0,0 +1,29 @@
+libcdio (GNU Compact Disc Input and Control Library)
+
+The libcdio package contains a library for CD-ROM and CD image
+access. Applications wishing to be oblivious of the OS- and
+device-dependent properties of a CD-ROM or of the specific details of
+various CD-image formats may benefit from using this library.
+
+From the README.libcdio in the source tree:
+
+VCD dependency:
+---------------
+One thing that confuses people is the "dependency" on libvcdinfo from
+vcdimager, while vcdimager has a dependency on libcdio. This libcdio
+dependency on vcdimager is an optional (i.e. not mandatory) dependency,
+while the vcdimager dependency right now is mandatory. libvcdinfo is
+used only by the utility program cd-info. If you want cd-info to use
+the VCD reporting portion and you don't already have vcdimager
+installed, build and install libcdio, then vcdimager, then configure
+libcdio again and it should find libvcdinfo.
+
+People who make packages might consider making two packages, a libcdio
+package with just the libraries (and no dependency on libvcdinfo) and
+a libcdio-utils which contains cd-info and iso-info, cd-read,
+iso-read. Should you want cd-info with VCD support then you'd add a
+dependency in that package to libvcdinfo.
+
+Another thing one can do is "make install" inside the library, or run
+"configure --without-vcd-info --without-cddb" (since libcddb also has
+an optional dependency on libcdio).
diff --git a/libraries/libcdio/libcdio.SlackBuild b/libraries/libcdio/libcdio.SlackBuild
new file mode 100644
index 0000000000..09208ece70
--- /dev/null
+++ b/libraries/libcdio/libcdio.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for libcdio
+
+# Copyright 2007 Brian Reichert <rignes@pobox.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=libcdio
+VERSION=0.78
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# These are the things to copy from the source into /usr/doc
+PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README README.libcdio TODO THANKS"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+#chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Make the directory to put the docs into and copy them info it
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Compress any man pages that aren't compressed and fix any symlinks
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Compress info pages if they exist and remove the dir file
+if [ -d $PKG/usr/info ]; then
+ gzip -9 $PKG/usr/info/*.info
+ rm -f $PKG/usr/info/dir
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libcdio/libcdio.info b/libraries/libcdio/libcdio.info
new file mode 100644
index 0000000000..c37b56a7ab
--- /dev/null
+++ b/libraries/libcdio/libcdio.info
@@ -0,0 +1,8 @@
+PRGNAM="libcdio"
+VERSION="0.78"
+HOMEPAGE="http://www.gnu.org/software/libcdio/"
+DOWNLOAD="http://ftp.gnu.org/gnu/libcdio/libcdio-0.78.tar.gz"
+MD5SUM="7a245958b7fcb7a647219f3cd563f066"
+MAINTAINER="Brian Reichert"
+EMAIL="rignes@pobox.com"
+APPROVED="rworkman"
diff --git a/libraries/libcdio/slack-desc b/libraries/libcdio/slack-desc
new file mode 100644
index 0000000000..e082c05d51
--- /dev/null
+++ b/libraries/libcdio/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libcdio: libcdio (GNU Compact Disc Input and Control Library)
+libcdio:
+libcdio: The libcdio package contains a library for CD-ROM and CD image
+libcdio: access. Applications wishing to be oblivious of the OS- and
+libcdio: device-dependent properties of a CD-ROM or of the specific details of
+libcdio: various CD-image formats may benefit from using this library.
+libcdio:
+libcdio: Homepage: http://www.gnu.org/software/libcdio/
+libcdio:
+libcdio:
+libcdio:
+
+